## Partial String Matching

## Usage

    pmatch(x, table, nomatch = NA, duplicates.ok = FALSE)

## Arguments

`x` | the values to be matched.
`table` | the values to be matched against.
`nomatch` | the value returned at non-matching positions.
`duplicates.ok` | should duplicate matches be allowed.

## Description

`pmatch` seeks matches for the elements of its first argument among those of its second. If there is a no match, then the value of `nomatch` is returned and if there is a unique match then the index of the matching value is returned. If there are multiple matches the result depends on the value of {duplicates.ok}. If `duplicates.ok` is false multiple matches will result in the value of `nomatch` being returned, and if it is true, the index of the first matching value will be returned.

## See Also

`match`, `charmatch` and `match.arg`, `match.fun`, `match.call`, for function argument matching etc.

## Examples

    pmatch("", "")                             # returns NA
    pmatch("m",   c("mean", "median", "mode")) # returns NA
    pmatch("med", c("mean", "median", "mode")) # returns 2

[Package Contents]